jp.cssj.cti2.helpers

## Class URIHelper

- java.lang.Object
- - jp.cssj.cti2.helpers.URIHelper

- Deprecated.
  jp.cssj.resolver.helpers.URIHelperを使ってください。

      public final class URIHelper
      extends Object

  URI解析の補助クラスです。 JavaのURIクラスよりも柔軟に解析します。
  Version:
    $Id: URIHelper.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static URI` | `CURRENT_URI` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URI` | `create(String encoding, String href)` Deprecated. URIを生成します。
    `static URI` | `resolve(String encoding, String baseURI, String href)` Deprecated.
    `static URI` | `resolve(String encoding, URI baseURI, String href)` Deprecated. 相対URIを解決します。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CURRENT_URI

          public static final URI CURRENT_URI

      Deprecated.

  - ### Method Detail

    - #### create

          public static URI create(String encoding,
                                   String href)
                            throws URISyntaxException

      Deprecated.
      URIを生成します。
      Parameters:
        `encoding` - マルチバイト文字のエンコーディング。
        `href` - URI文字列。
      Returns:
        生成したURI。
      Throws:
        `URISyntaxException`

    - #### resolve

          public static URI resolve(String encoding,
                                    URI baseURI,
                                    String href)
                             throws URISyntaxException

      Deprecated.
      相対URIを解決します。
      Parameters:
        `encoding` - マルチバイト文字のエンコーディング。
        `baseURI` - 基底URI。
        `href` - 相対URI文字列。
      Returns:
        生成したURI。
      Throws:
        `URISyntaxException`

    - #### resolve

          public static URI resolve(String encoding,
                                    String baseURI,
                                    String href)
                             throws URISyntaxException

      Deprecated.
      Throws:
        `URISyntaxException`

Copyright © 2018 座間ソフト. All rights reserved.